From 87493c9dc1602fbafcf85088ed9e7d75ac201209 Mon Sep 17 00:00:00 2001
From: Christian Hergert <chergert@redhat.com>
Date: Fri, 11 Oct 2024 11:46:26 -0700
Subject: [PATCH 12/33] build: always build debuginfod symbolizer

Even if it is disabled, we want the GType enabled and part of our ABI. We
will return NULL if one is created and debuginfod is not supported or if
we failed to create a client.
---
 src/libsysprof/meson.build | 3 ++-
 src/libsysprof/sysprof.h   | 1 +
 2 files changed, 3 insertions(+), 1 deletion(-)

diff --git a/src/libsysprof/meson.build b/src/libsysprof/meson.build
index ce6e37f2..549042de 100644
--- a/src/libsysprof/meson.build
+++ b/src/libsysprof/meson.build
@@ -10,6 +10,7 @@ libsysprof_public_sources = [
   'sysprof-cpu-info.c',
   'sysprof-cpu-usage.c',
   'sysprof-dbus-monitor.c',
+  'sysprof-debuginfod-symbolizer.c',
   'sysprof-diagnostic.c',
   'sysprof-disk-usage.c',
   'sysprof-document-allocation.c',
@@ -75,6 +76,7 @@ libsysprof_public_headers = [
   'sysprof-cpu-info.h',
   'sysprof-cpu-usage.h',
   'sysprof-dbus-monitor.h',
+  'sysprof-debuginfod-symbolizer.h',
   'sysprof-diagnostic.h',
   'sysprof-disk-usage.h',
   'sysprof-document-allocation.h',
@@ -155,7 +157,6 @@ libsysprof_private_sources = [
 
 if debuginfod_dep.found()
   libsysprof_private_sources += [
-    'sysprof-debuginfod-symbolizer.c',
     'sysprof-debuginfod-task.c'
   ]
 endif
diff --git a/src/libsysprof/sysprof.h b/src/libsysprof/sysprof.h
index c2176619..d30f9fd4 100644
--- a/src/libsysprof/sysprof.h
+++ b/src/libsysprof/sysprof.h
@@ -34,6 +34,7 @@ G_BEGIN_DECLS
 # include "sysprof-cpu-info.h"
 # include "sysprof-cpu-usage.h"
 # include "sysprof-dbus-monitor.h"
+# include "sysprof-debuginfod-symbolizer.h"
 # include "sysprof-diagnostic.h"
 # include "sysprof-disk-usage.h"
 # include "sysprof-document-allocation.h"
-- 
2.45.2

